Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 523059 - Running mock results in uncompleted transaction
Summary: Running mock results in uncompleted transaction
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F12Target
TreeView+ depends on / blocked
 
Reported: 2009-09-13 19:45 UTC by Nicolas Mailhot
Modified: 2014-01-21 06:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-16 13:55:25 UTC
Type: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2009-09-13 19:45:00 UTC
Description of problem:

Each time I use mock lately, I get popups later in the desktop that ask to run yum-complete-transaction. When I run yum-complete-transaction I see yum replay the package installations it did for mock but in the system itself.

Since one of the main point of mock is not to have to install packages needed to build on the system itself, this is a big problem

Mock yum transactions should not be queued for replay in any case

Version-Release number of selected component (if applicable):

mock-0.9.17-3.fc12.noarch

Comment 1 seth vidal 2009-09-14 17:08:54 UTC
need a ver of yum.

Comment 2 Clark Williams 2009-09-14 18:05:16 UTC
do you see this for all configs?

Comment 3 Nicolas Mailhot 2009-09-14 18:49:20 UTC
The only config I used lately is

#!/usr/bin/python -tt
config_opts['root'] = 'fedora-development-x86_64-1'
config_opts['target_arch'] = 'x86_64'
config_opts['chroot_setup_cmd'] = 'groupinstall buildsys-build'

config_opts['yum.conf'] = """
[main]
cachedir=/var/cache/yum
debuglevel=1
reposdir=/dev/null
retries=1
obsoletes=1
timeout=10
gpgcheck=0
keepcache=0
assumeyes=1
exclude=*.i386 *.i686 *.i586 *.i486
metadata_expire=1800
#http_caching=packages
#proxy=http://192.168.1.1:8080/

# repos
[fedora-devel]
name=Fedora - Development
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/
        http://download.fedora.redhat.com/pub/fedora/linux/development/x86_64/os/
#http://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/development/$basearch/os/
enabled=1
gpgcheck=0

[koji-f12-builds]
name=Fedora - 12 - Koji builds
baseurl=http://koji.fedoraproject.org/static-repos/dist-f12-build-current/x86_64/
exclude=*debuginfo*
enabled=1
gpgcheck=0
cost=500

[koji-rawhide-builds]
name=Fedora - Devel - Koji builds
baseurl=http://koji.fedoraproject.org/static-repos/dist-rawhide-current/x86_64/
enabled=1
gpgcheck=0
cost=500

Comment 4 seth vidal 2009-09-14 20:28:56 UTC
okay - this is a yum bug - and it's directly related to the fix for 503195

I've patched it upstream. A trivial workaround is to remove the trailing / from the installroot path.

Comment 5 Bug Zapper 2010-03-15 12:49:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.